Bug 247107 - Initscript Review
Initscript Review
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 10:03 EDT by Harald Hoyer
Modified: 2007-12-06 23:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-06 23:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated yum-updateonboot with LSB header (2.48 KB, application/octet-stream)
2007-10-12 05:32 EDT, Tim Lauridsen
no flags Details

  None (edit)
Description Harald Hoyer 2007-07-05 10:03:16 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Tim Lauridsen 2007-10-12 05:32:15 EDT
Created attachment 225311 [details]
Updated yum-updateonboot with LSB header
Comment 2 Tim Lauridsen 2007-10-12 05:33:22 EDT
I have added an LSB header to the yum-updateonboot service, does it look ok ?
Comment 3 Seth Vidal 2007-12-06 23:33:12 EST
I think it looks lovely. closing as nextrelease. Harald, reopen if it's not right.

Note You need to log in before you can comment on or make changes to this bug.